Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
FloaterWidget Class Reference
Inheritance diagram for FloaterWidget:

## Public Member Functions
| __init__ (self, parent=None, **kw)
| get (self)
| highlightWidget (self, event)
| mouseDown (self, event)
| Canvas callback functions Floater velocity controller.
| mouseUp (self, event)
| restoreWidget (self, event)
| set (self, value, fCommand=1)
| setBackground (self)
| setBorderwidth (self)
| setNumDigits (self)
| setRelief (self)
| updateFloaterSF (self, event)
| updateFloaterTask (self, state)
| updateIndicator (self, value)

## Public Attributes
| minExp
| updateTask
| value = value
float | velocitySF = 0.0

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | parent = None,
|  | ** | kw )

## Member Function Documentation

## ◆ get()

get | ( |  | self | ) |

    self.get()
    Get current floater value

## ◆ highlightWidget()

highlightWidget | ( |  | self,
|  |  | event )

## ◆ mouseDown()

mouseDown | ( |  | self,
|  |  | event )

Canvas callback functions Floater velocity controller.

     Begin mouse interaction

## ◆ mouseUp()

mouseUp | ( |  | self,
|  |  | event )

## ◆ restoreWidget()

restoreWidget | ( |  | self,
|  |  | event )

## ◆ set()

set | ( |  | self,
|  |  | value,
|  |  | fCommand = 1 )

    self.set(value, fCommand = 1)
    Set floater to new value, execute command if fCommand == 1

## ◆ setBackground()

setBackground | ( |  | self | ) |

## ◆ setBorderwidth()

setBorderwidth | ( |  | self | ) |

## ◆ setNumDigits()

setNumDigits | ( |  | self | ) |

    Adjust minimum exponent to use in velocity task based
    upon the number of digits to be displayed in the result

## ◆ setRelief()

setRelief | ( |  | self | ) |

## ◆ updateFloaterSF()

updateFloaterSF | ( |  | self,
|  |  | event )

    Update velocity scale factor based of mouse distance from origin

## ◆ updateFloaterTask()

updateFloaterTask | ( |  | self,
|  |  | state )

    Update floaterWidget value based on current scaleFactor
    Adjust for time to compensate for fluctuating frame rates

## ◆ updateIndicator()

updateIndicator | ( |  | self,
|  |  | value )

## Member Data Documentation

## ◆ minExp

minExp

Initial value:
= math.floor(-self['numDigits']/
math.log10(Valuator.sfBase))

## ◆ updateTask

updateTask

Initial value:
= taskMgr.add(self.updateFloaterTask,
'updateFloater')

## ◆ value

value = value

## ◆ velocitySF

float velocitySF = 0.0